using System;
using System.Runtime.Serialization;

namespace skyscraper5.Skyscraper.IO.TunerInterface
{
	[Serializable]
	public class TunerInterfaceException : SkyscraperIOException
	{
		//
		// For guidelines regarding the creation of new exception types, see
		//    http://msdn.microsoft.com/library/default.asp?url=/library/en-us/cpgenref/html/cpconerrorraisinghandlingguidelines.asp
		// and
		//    http://msdn.microsoft.com/library/default.asp?url=/library/en-us/dncscol/html/csharp07192001.asp
		//

		public TunerInterfaceException()
		{
		}

		public TunerInterfaceException(string message) : base(message)
		{
		}

		public TunerInterfaceException(string message, Exception inner) : base(message, inner)
		{
		}

		protected TunerInterfaceException(
			SerializationInfo info,
			StreamingContext context) : base(info, context)
		{
		}
	}


	[Serializable]
	public class NoTunerFactoryConfiguredException : TunerInterfaceException
	{
		//
		// For guidelines regarding the creation of new exception types, see
		//    http://msdn.microsoft.com/library/default.asp?url=/library/en-us/cpgenref/html/cpconerrorraisinghandlingguidelines.asp
		// and
		//    http://msdn.microsoft.com/library/default.asp?url=/library/en-us/dncscol/html/csharp07192001.asp
		//

		public NoTunerFactoryConfiguredException()
		{
		}

		public NoTunerFactoryConfiguredException(string message) : base(message)
		{
		}

		public NoTunerFactoryConfiguredException(string message, Exception inner) : base(message, inner)
		{
		}

		protected NoTunerFactoryConfiguredException(
			SerializationInfo info,
			StreamingContext context) : base(info, context)
		{
		}
	}

	[Serializable]
	public class TunerFactoryNotFoundException : TunerInterfaceException
	{
		//
		// For guidelines regarding the creation of new exception types, see
		//    http://msdn.microsoft.com/library/default.asp?url=/library/en-us/cpgenref/html/cpconerrorraisinghandlingguidelines.asp
		// and
		//    http://msdn.microsoft.com/library/default.asp?url=/library/en-us/dncscol/html/csharp07192001.asp
		//

		public TunerFactoryNotFoundException()
		{
		}

		public TunerFactoryNotFoundException(string message) : base(message)
		{
		}

		public TunerFactoryNotFoundException(string message, Exception inner) : base(message, inner)
		{
		}

		protected TunerFactoryNotFoundException(
			SerializationInfo info,
			StreamingContext context) : base(info, context)
		{
		}
	}
}
